• ثبت نام
  • ورود
  • 49624 - 021 تلفن
  • ثبت نام
  • ورود
  • 49624 - 021 تلفن

خطر هایی که ابتدای سال ۲۰۱۹ در کمین سیستم شما خواهد بود

خطر سیستم شما

اگر از اول ژانویه سال ۲۰۱۹ PHP خود را به نسخه ی ۷ یا بالاتر آپدیت نکنید ، سیستم شما در خطر جدی خواهد بود.

هنوز هم بسیاری از صاحبان وب سایت ها از نسخه های قدیمی PHP استفاده می کنند. آنها تا کنون این مسئله را جدی نگرفته اند ، اما از اول ژانویه سال ۲۰۱۹ خطر به طرز چشمگیری بیشتر خواهد شد.

PHP چیست؟

PHP یک زبان برنامه نویسی است. اکثر وب سایتهایی که بر پایه ی CMS هستند ، مانند WordPress ، Drupal و Joomla از این زبان استفاده می کنند. زمانی که شما یک هاست را می خرید ، یکی از ویژگیهای این هاست ، موتور زبان برنامه نویسی نصب شده در آن است تا شما بتوانید از آن در وب سایت خود استفاده کنید. زبانهای برنامه نویسی مدام در حال تغییر هستند ، بنابراین هر از گاهی به روزرسانی خواهند شد.

معمولاً هاست مورد نظر شما به همراه چند نسخه ی نصب شده و قابل دسترسی PHP برای استفاده به شما تحویل داده خواهد شد. مهم است که هر از گاهی سیستم را چک کنید تا ببینید که آیا از آخرین نسخه ی PHP استفاده می کنید یا خیر ، بدین ترتیب مطمئن می شوید که از دنیای روز           فن آوری عقب نمانده اید.

در ماههای پایانی سال ۲۰۱۸ چه اتفاقی می افتد؟

از تاریخ اول ژانویه ۲۰۱۹ PHP نسخه ی ۵٫۶ و PHP نسخه ی ۷ به انتهای دوران حیات خود می رسند. این بدان معنی است که سازندگان این نسخه ها دیگر برایشان آپدیت امنیتی ارسال نمی کنند. خلاصه اینکه ، وب سایتهایی که از این نسخه ها استفاده می کنند ، تبدیل به یک فضای باز و آزاد برای هکرها خواهند شد. در آینده خطر و حمله های امنیتی بیشتری بر روی سیستم ها وجود خواهند داشت و این فضاهای ایجاد شده در اثر خطر موجود به خوبی پر نشده و سیستم شما تبدیل به یک موقعیت عالی برای دستبرد و سوء استفاده خواهد شد.

این امر می تواند منجر به هک شدن سایت شما ، از دست رفتن اطلاعاتتان و بدتر از همه ، به سرقت رفتن اطلاعات مشتریهای شما شود. شما می توانید با استفاده از official PHP supported versions calendar از نسخه ی PHP فعلی خود مطلع شوید . قویاً توصیه می کنیم که PHP خود را به نسخه ی ۷٫۲ آپدیت کنید. حتی اگر از سرور مجازی استفاده مینمایید.

نوشته مشابه

ثبت نظر